2013-03-24  Simon Josefsson <simon@josefsson.org>

	* lib/ASN1.c: Fix syntax-check warnings.

2013-03-24  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump versions.

2013-03-24  Simon Josefsson <simon@josefsson.org>

	* cfg.mk, lib/ASN1.y, lib/coding.c, lib/decoding.c,
	lib/libtasn1.map, src/benchmark.c, src/benchmark.h: Fix syntax-check
	warnings.

2013-03-24  Simon Josefsson <simon@josefsson.org>

	* lib/ASN1.c: Generated.

2013-03-24  Simon Josefsson <simon@josefsson.org>

	* lib/libtasn1.h: Bump version.

2013-03-24  Simon Josefsson <simon@josefsson.org>

	* .clcopying, AUTHORS, Makefile.am, NEWS, README, README-alpha,
	THANKS, cfg.mk, doc/Makefile.am, doc/TODO, doc/cyclo/Makefile.am,
	doc/libtasn1.texi, examples/CertificateExample.c,
	examples/CrlExample.c, examples/Makefile.am,
	examples/asn1Coding_test.asn, examples/pkix.asn, lib/ASN1.y,
	lib/Makefile.am, lib/coding.c, lib/element.c, lib/element.h,
	lib/errors.c, lib/gstr.c, lib/gstr.h, lib/int.h, lib/libtasn1.h,
	lib/libtasn1.map, lib/libtasn1.pc.in, lib/parser_aux.c,
	lib/parser_aux.h, lib/structure.c, lib/structure.h, lib/version.c,
	m4/update-header-version.m4, src/Makefile.am, src/asn1Coding.c,
	src/asn1Decoding.c, src/asn1Parser.c, src/benchmark.c,
	src/benchmark.h, tests/Makefile.am, tests/Test_encoding.asn,
	tests/Test_encoding.c, tests/Test_errors.c,
	tests/Test_indefinite.c, tests/Test_overflow.c,
	tests/Test_parser.asn, tests/Test_parser.c, tests/Test_simple.c,
	tests/Test_strings.c, tests/Test_tree.asn, tests/Test_tree.c,
	tests/benchmark, tests/crlf, tests/pkix.asn, tests/threadsafety,
	windows/libtasn14win.mk: Update copyright years.

2013-03-24  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 3.3.

2013-03-24  Simon Josefsson <simon@josefsson.org>

	* lib/coding.c, lib/decoding.c, lib/element.c, lib/element.h,
	lib/gstr.c, lib/gstr.h, lib/int.h, lib/libtasn1.h,
	lib/parser_aux.c, lib/structure.c, lib/structure.h,
	src/asn1Coding.c, src/asn1Decoding.c, src/asn1Parser.c,
	src/benchmark.c, src/benchmark.h, tests/Test_encoding.c,
	tests/Test_errors.c, tests/Test_overflow.c, tests/Test_parser.c,
	tests/Test_strings.c, tests/Test_tree.c: Indent code.

2013-03-24  Simon Josefsson <simon@josefsson.org>

	* .gitignore, configure.ac, lib/decoding.c: Silence warnings.

2013-03-24  Simon Josefsson <simon@josefsson.org>

	* GNUmakefile, build-aux/gendocs.sh, build-aux/gnupload,
	build-aux/pmccabe2html, build-aux/update-copyright,
	build-aux/useless-if-before-free, build-aux/vc-list-files,
	doc/fdl-1.3.texi, doc/gendocs_template, gl/Makefile.am,
	gl/errno.in.h, gl/fstat.c, gl/ftell.c, gl/ftello.c, gl/getopt.c,
	gl/getopt.in.h, gl/getopt1.c, gl/getopt_int.h, gl/gettext.h,
	gl/gettime.c, gl/gettimeofday.c, gl/lseek.c, gl/m4/00gnulib.m4,
	gl/m4/autobuild.m4, gl/m4/clock_time.m4, gl/m4/errno_h.m4,
	gl/m4/extensions.m4, gl/m4/extern-inline.m4, gl/m4/fseeko.m4,
	gl/m4/fstat.m4, gl/m4/ftell.m4, gl/m4/ftello.m4, gl/m4/getopt.m4,
	gl/m4/gettime.m4, gl/m4/gettimeofday.m4, gl/m4/gnulib-cache.m4,
	gl/m4/gnulib-common.m4, gl/m4/gnulib-comp.m4, gl/m4/gnulib-tool.m4,
	gl/m4/include_next.m4, gl/m4/largefile.m4, gl/m4/longlong.m4,
	gl/m4/lseek.m4, gl/m4/malloc.m4, gl/m4/manywarnings.m4,
	gl/m4/msvc-inval.m4, gl/m4/msvc-nothrow.m4, gl/m4/multiarch.m4,
	gl/m4/nocrash.m4, gl/m4/off_t.m4, gl/m4/read-file.m4,
	gl/m4/realloc.m4, gl/m4/ssize_t.m4, gl/m4/stdarg.m4,
	gl/m4/stddef_h.m4, gl/m4/stdint.m4, gl/m4/stdio_h.m4,
	gl/m4/stdlib_h.m4, gl/m4/sys_socket_h.m4, gl/m4/sys_stat_h.m4,
	gl/m4/sys_time_h.m4, gl/m4/sys_types_h.m4, gl/m4/time_h.m4,
	gl/m4/timespec.m4, gl/m4/unistd_h.m4, gl/m4/valgrind-tests.m4,
	gl/m4/version-etc.m4, gl/m4/warn-on-use.m4, gl/m4/warnings.m4,
	gl/m4/wchar_t.m4, gl/malloc.c, gl/msvc-inval.c, gl/msvc-inval.h,
	gl/msvc-nothrow.c, gl/msvc-nothrow.h, gl/progname.c, gl/progname.h,
	gl/read-file.c, gl/read-file.h, gl/realloc.c, gl/stdarg.in.h,
	gl/stddef.in.h, gl/stdint.in.h, gl/stdio-impl.h, gl/stdio.in.h,
	gl/stdlib.in.h, gl/sys_stat.in.h, gl/sys_time.in.h,
	gl/sys_types.in.h, gl/time.in.h, gl/timespec.h, gl/unistd.c,
	gl/unistd.in.h, gl/version-etc-fsf.c, gl/version-etc.c,
	gl/version-etc.h, lib/gllib/stdint.in.h, lib/glm4/extensions.m4,
	maint.mk: Update gnulib files.

2013-03-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: updated

2013-01-15  Andoni Morales Alastruey <ylatuya@gmail.com>

	* gl/stdint.in.h: Fix check for Android x86 Signed-off-by: Nikos Mavrogiannopoulos <nmav@gnutls.org>

2013-01-15  Andoni Morales Alastruey <ylatuya@gmail.com>

	* lib/libtasn1.h: Fix includes for Bionic X86 Signed-off-by: Nikos Mavrogiannopoulos <nmav@gnutls.org>

2013-01-15  Andoni Morales Alastruey <ylatuya@gmail.com>

	* gl/read-file.c: Fix include for Bionic, where SIZE_MAX is in
	limits.h Signed-off-by: Nikos Mavrogiannopoulos <nmav@gnutls.org>

2013-01-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/decoding.c, tests/Test_overflow.c: More precise overflow
	checks using gnulib's intprops module.

2013-01-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* Makefile.am, build-aux/snippet/arg-nonnull.h,
	build-aux/snippet/c++defs.h, build-aux/snippet/warn-on-use.h,
	lib/gllib/Makefile.am, lib/gllib/hash-pjw-bare.c,
	lib/gllib/hash-pjw-bare.h, lib/gllib/intprops.h,
	lib/gllib/stddef.in.h, lib/gllib/stdint.in.h,
	lib/gllib/string.in.h, lib/gllib/strverscmp.c,
	lib/glm4/00gnulib.m4, lib/glm4/extensions.m4,
	lib/glm4/gnulib-cache.m4, lib/glm4/gnulib-common.m4,
	lib/glm4/gnulib-comp.m4, lib/glm4/gnulib-tool.m4,
	lib/glm4/include_next.m4, lib/glm4/ld-version-script.m4,
	lib/glm4/longlong.m4, lib/glm4/multiarch.m4, lib/glm4/stddef_h.m4,
	lib/glm4/stdint.m4, lib/glm4/string_h.m4, lib/glm4/strverscmp.m4,
	lib/glm4/visibility.m4, lib/glm4/warn-on-use.m4,
	lib/glm4/wchar_t.m4: Added intprops

2012-12-10  Simon Josefsson <simon@josefsson.org>

	* lib/coding.c, lib/errors.c, lib/libtasn1.h, lib/libtasn1.map: Fix
	GTK-DOC warnings.

2012-11-30  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: released

2012-11-29  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac, lib/libtasn1.h: bumped version

2012-11-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: documented update

2012-11-25  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/ASN1.c, lib/ASN1.y: corrected possible buffer overflow in
	parser errors.

2012-11-24  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/libtasn1.texi: updated

2012-11-24  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: released 3.1

2012-11-24  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/element.c, lib/libtasn1.h: revert to use strlen when writing
	time values.

2012-11-24  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/Makefile.am, doc/libtasn1.texi: Documented the new functions

2012-11-24  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, configure.ac: bumped version

2012-11-24  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/int.h, lib/parser_aux.c, lib/structure.c: corrected
	compatibility mode with old structures.

2012-11-24  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/element.c: simplified

2012-11-24  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/int.h: simplified

2012-11-24  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/coding.c: corrected typo

2012-11-24  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/Test_tree.c: better error reporting

2012-11-24  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/coding.c, lib/decoding.c, lib/element.c, lib/int.h,
	lib/parser_aux.c, lib/structure.c: some simplifications in time
	handling

2012-11-24  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/ASN1.c, lib/ASN1.y, lib/coding.c, lib/decoding.c,
	lib/element.c, lib/int.h, lib/libtasn1.h, lib/structure.c: 
	Introduced ASN1_ETYPE_UTC_TIME and ASN1_ETYPE_GENERALIZED_TIME

2012-11-24  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/coding.c, lib/int.h, lib/libtasn1.h: updates in ETYPE_OK

2012-11-23  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/element.c, lib/libtasn1.h, lib/libtasn1.map: Added
	asn1_read_value_type().

2012-11-23  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/coding.c, lib/decoding.c, lib/int.h, lib/libtasn1.h,
	lib/libtasn1.map, tests/Test_strings.c: simplified and renamed
	asn1_encode_string_der() and asn1_decode_string_der()

2012-11-23  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/ASN1.c, lib/ASN1.y, lib/coding.c, lib/decoding.c,
	lib/element.c, lib/int.h, lib/libtasn1.h, lib/structure.c,
	tests/Test_strings.c: renamed types

2012-11-23  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* .gitignore, NEWS, configure.ac, lib/ASN1.c, lib/ASN1.y,
	lib/coding.c, lib/decoding.c, lib/element.c, lib/int.h,
	lib/libtasn1.h, lib/libtasn1.map, lib/parser_aux.c,
	lib/parser_aux.h, tests/Makefile.am, tests/Test_strings.c: Added
	asn1_decode_string_der() and asn1_encode_string_der().

2012-11-23  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/ASN1.c, lib/ASN1.y: zeroize last_error_token on unknown
	errors.

2012-11-23  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/Test_tree_asn1_tab.c: updated generated structures

2012-11-23  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/ASN1.c, lib/ASN1.y, src/asn1Parser.c: better error printing

2012-11-23  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/ASN1.c, lib/ASN1.y: init strings

2012-11-23  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/ASN1.c, lib/ASN1.y: store duplicate (with built-in values) in
	structure to be compatible with old version.

2012-11-23  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/libtasn1.texi: documented new types

2012-11-22  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/coding.c, lib/int.h: use const for the data

2012-11-22  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: updated

2012-11-22  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/coding.c, lib/element.c, lib/int.h, lib/structure.c: better
	name

2012-11-22  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/coding.c, lib/decoding.c, lib/element.c, lib/int.h,
	lib/structure.c: small simplifications

2012-11-22  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: documented updates

2012-11-22  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/ASN1.c, lib/ASN1.y, tests/Test_parser.c: indented C code in
	ASN1.y, and added more verbose error reporting.

2012-11-22  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/ASN1.c, lib/ASN1.y: idented code

2012-11-22  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/ASN1.c, lib/ASN1.y, lib/coding.c, lib/decoding.c,
	lib/element.c, lib/int.h, lib/libtasn1.h, lib/parser_aux.c,
	lib/structure.c: Added more ASN.1 string types and several
	simplifications.

2012-11-10  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/asn1Coding.c: Check for errors reading the assignment file in
	asn1Coding.  src/asn1Coding.c: Check the value returned by readAssignment () to
	be either ASSIGNMENT_SUCCESS or ASSIGNMENT_EOF.  Patch by Ivan
	Shmakov.

2012-11-06  Ivan Shmakov <oneingray@gmail.com>

	* src/asn1Coding.c, src/asn1Decoding.c, src/asn1Parser.c,
	tests/crlf: use stderr for status messages in asn1{Coding, Decoding,
	Parser} Signed-off-by: Nikos Mavrogiannopoulos <nmav@gnutls.org>

2012-11-06  Ivan Shmakov <oneingray@gmail.com>

	* doc/libtasn1.texi: Typographical and wording fixes to
	doc/libtasn1.texi doc/libtasn1.texi: A bunch of typographical and wording fixes and
	improvements.  Signed-off-by: Simon Josefsson <simon@josefsson.org>

2012-11-06  Simon Josefsson <simon@josefsson.org>

	* .gitignore: Ignore more.

2012-11-06  Simon Josefsson <simon@josefsson.org>

	* src/benchmark.c: Don't overload the 'time' global name.

2012-11-06  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Generated.

2012-11-01  Thierry Reding <thierry.reding@avionic-design.de>

	* doc/Makefile.am, lib/Makefile.am: Fix out of tree build This fixes a few occurrences where files are incorrectly referenced
	from the build directory instead of the source directory, therefore
	causing breakage when building out of tree.  Signed-off-by: Thierry Reding <thierry.reding@avionic-design.de>
	Signed-off-by: Nikos Mavrogiannopoulos <nmav@gnutls.org>

2012-11-01  Thierry Reding <thierry.reding@avionic-design.de>

	* configure.ac: Fix bootstrap with automake 1.12 automake 1.12 and later require explicit checking for the archiver
	using the AM_PROG_AR command when building libraries using libtool.  Signed-off-by: Thierry Reding <thierry.reding@avionic-design.de>
	Signed-off-by: Nikos Mavrogiannopoulos <nmav@gnutls.org>

2012-11-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/libtasn1.h, lib/structure.c, tests/Test_tree_asn1_tab.c: 
	Corrected type asn1_static_node_t -> asn1_static_node.  The old type was left for compatibility. Reported by Andreas
	Metzler.

2012-10-28  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac: break compatibility with previous releases.

2012-10-28  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/ASN1.y: corrected types

2012-10-28  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, configure.ac: bumped version

2012-10-11  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, doc/libtasn1.texi, lib/ASN1.c, lib/coding.c,
	lib/decoding.c, lib/element.c, lib/element.h, lib/int.h,
	lib/libtasn1.h, lib/parser_aux.c, lib/parser_aux.h,
	lib/structure.c, lib/structure.h, src/asn1Coding.c,
	src/asn1Decoding.c, src/asn1Parser.c, tests/Test_encoding.c,
	tests/Test_indefinite.c, tests/Test_parser.c, tests/Test_tree.c: 
	Renamed structures.  Avoid using the reserved by POSIX _t. Suggested by Ivan Shmakov.
	asn1_static_node_t -> asn1_static_node asn1_node_t -> asn1_node

2012-10-09  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/Test_encoding.c, tests/Test_errors.c,
	tests/Test_indefinite.c, tests/Test_overflow.c,
	tests/Test_parser.c, tests/Test_tree.c, tests/crlf: Silence tests.

2012-10-09  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/ASN1.c, lib/ASN1.y: Allow empty IDENTIFIERS in ASN1
	definitions. Suggested by Ivan Shmakov.

2012-10-06  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, doc/libtasn1.texi, lib/ASN1.c, lib/ASN1.y, lib/coding.c,
	lib/decoding.c, lib/element.c, lib/element.h, lib/int.h,
	lib/libtasn1.h, lib/parser_aux.c, lib/parser_aux.h,
	lib/structure.c, lib/structure.h, src/asn1Coding.c,
	src/asn1Decoding.c, src/asn1Parser.c, tests/Test_encoding.c,
	tests/Test_indefinite.c, tests/Test_parser.c, tests/Test_tree.c,
	tests/Test_tree_asn1_tab.c: asn_ -> asn1_

2012-10-06  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/decoding.c: Set the error description to null initialy.

2012-10-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: updated

2012-10-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/Makefile.am, lib/parser_aux.c: removed unneeded variables and
	files.

2012-10-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/gllib/Makefile.am, lib/gllib/dummy.c,
	lib/gllib/hash-pjw-bare.c, lib/gllib/hash-pjw-bare.h,
	lib/gllib/stdint.in.h, lib/glm4/extensions.m4,
	lib/glm4/gnulib-cache.m4, lib/glm4/gnulib-common.m4,
	lib/glm4/gnulib-comp.m4, lib/glm4/multiarch.m4,
	lib/glm4/visibility.m4: Updated gllib and added hash-pjw-bare.

2012-10-02  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/hash.c, lib/int.h, lib/parser_aux.c: Use hash-pjw-bare instead
	of asn1_bhash().

2012-10-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/ASN1.c, lib/ASN1.y, lib/libtasn1.h, tests/Test_encoding.c,
	tests/Test_errors.c, tests/Test_indefinite.c, tests/Test_parser.c,
	tests/Test_simple.c, tests/Test_tree.c, tests/Test_tree_asn1_tab.c: 
	eliminated use of old types

2012-10-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: documented update

2012-10-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/libtasn1.h: ASN1_TYPE definition corrected

2012-10-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* doc/libtasn1.texi, src/asn1Coding.c, src/asn1Decoding.c,
	src/asn1Parser.c: updated to new types

2012-10-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/element.c, lib/libtasn1.h: node_data_struct ->
	asn_data_node_st

2012-10-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/libtasn1.h, lib/structure.c: ASN1_ARRAY_TYPE ->
	asn_static_node_t

2012-10-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/ASN1.c, lib/coding.c, lib/decoding.c, lib/element.c,
	lib/element.h, lib/int.h, lib/libtasn1.h, lib/parser_aux.c,
	lib/parser_aux.h, lib/structure.c, lib/structure.h: Renamed types.  node_asn -> asn_node_st ASN1_TYPE -> node_asn_t ASN1_TYPE_EMPTY ->
	NULL

2012-10-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/ASN1.c, lib/coding.c, lib/decoding.c, lib/element.c,
	lib/element.h, lib/errors.c, lib/libtasn1.h, lib/parser_aux.c,
	lib/parser_aux.h, lib/structure.c, lib/structure.h: asn1_retCode ->
	int

2012-09-26  Simon Josefsson <simon@josefsson.org>

	* doc/release-process.txt: Add.

2012-09-23  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/decoding.c, lib/parser_aux.c, lib/parser_aux.h,
	lib/structure.c: small optimizations to avoid recalculation of
	hashes when copying nodes.

2012-09-23  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/Makefile.am, lib/gstr.c, lib/gstr.h, lib/hash.c,
	lib/int.h, lib/parser_aux.c: improve performance by 50% by using
	hashes to compare strings.

2012-09-22  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/benchmark.c: increased benchmark time

2012-09-20  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/parser_aux.c: other small fix

2012-09-20  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/decoding.c: Some small optimizations and better checking of
	tree accesses.

2012-09-17  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: documented updates

2012-09-14  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/Test_parser.c: Corrected the test.

2012-09-14  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/int.h: name has size of ASN1_MAX_NAME_SIZE+1 to allow for a
	terminating null.

2012-09-14  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/ASN1.c, lib/ASN1.y: removed unneeded casts

2012-09-13  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/int.h: Revert "small_value_size changed to 8. No visible
	difference in performance" This reverts commit b86e75de8bc3a35620f069b7b00d680284d86eb5.

2012-09-13  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/libtasn1.map: Added symbol into old API

2012-09-13  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/parser_aux.c, lib/structure.c, lib/structure.h: 
	_asn1_add_node_only -> _asn1_add_single_node

2012-09-13  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/ASN1.c, lib/ASN1.y, lib/parser_aux.c, lib/parser_aux.h,
	lib/structure.c: _asn1_add_node -> _asn1_add_static_node

2012-09-13  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/coding.c, lib/element.c, lib/int.h, lib/parser_aux.c,
	lib/structure.c: Eliminated _asn1_malloc, _asn1_free and
	_asn_calloc.

2012-09-13  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/libtasn1.h: reduced maximum name size

2012-09-13  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/libtasn1.h: no need to reserve.

2012-09-12  Simon Josefsson <simon@josefsson.org>

	* doc/reference/Makefile.am, lib/errors.c, lib/libtasn1.h: Drop
	long-time deprecated functions.

2012-09-12  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Bump years.

2012-09-12  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/element.c, lib/int.h, lib/libtasn1.h: Node type field is now
	included in ASN1_DATA_NODE.

2012-09-12  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/element.c, lib/libtasn1.h, lib/libtasn1.map: Added
	asn1_read_node_value()

2012-09-12  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/int.h: small_value_size changed to 8. No visible difference in
	performance

2012-09-12  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/decoding.c, lib/element.c, lib/int.h, lib/libtasn1.h,
	lib/parser_aux.c, lib/parser_aux.h, lib/structure.c: name is now a
	statically allocated string and other optimizations.

2012-09-12  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/libtasn1.h: internal structure removed

2012-09-12  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac: bumped version

2012-09-09  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/asn1Decoding.c: eliminates few leaks

2012-09-08  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* src/Makefile.am, src/asn1Decoding.c, src/benchmark.c,
	src/benchmark.h, tests/Makefile.am, tests/benchmark: Added tool to
	benchmark X.509 structure decoding.

2012-09-08  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* build-aux/gendocs.sh, build-aux/gnupload, gl/Makefile.am,
	gl/errno.in.h, gl/fstat.c, gl/gettext.h, gl/gettime.c,
	gl/gettimeofday.c, gl/m4/clock_time.m4, gl/m4/errno_h.m4,
	gl/m4/extensions.m4, gl/m4/extern-inline.m4, gl/m4/getopt.m4,
	gl/m4/gettime.m4, gl/m4/gettimeofday.m4, gl/m4/gnulib-cache.m4,
	gl/m4/gnulib-common.m4, gl/m4/gnulib-comp.m4, gl/m4/largefile.m4,
	gl/m4/manywarnings.m4, gl/m4/multiarch.m4, gl/m4/nocrash.m4,
	gl/m4/stdio_h.m4, gl/m4/sys_socket_h.m4, gl/m4/sys_time_h.m4,
	gl/m4/time_h.m4, gl/m4/timespec.m4, gl/stdint.in.h,
	gl/stdio-impl.h, gl/stdlib.in.h, gl/sys_time.in.h, gl/timespec.c,
	gl/timespec.h, gl/unistd.in.h, maint.mk: Updated to new gnulib and
	added gettime.

2012-08-31  Tim Ruehsen <tim.ruehsen@gmx.de>

	* lib/structure.c: cleanup _asn1_copy_structure3 Signed-off-by: Nikos Mavrogiannopoulos <nmav@gnutls.org>

2012-08-18  Simon Josefsson <simon@josefsson.org>

	* tests/Test_indefinite.c, tests/Test_simple.c: Fix compilation
	warnings.

2012-05-31  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/libtasn1.h: Bump versions.

2012-05-31  Simon Josefsson <simon@josefsson.org>

	* doc/announce.txt: Update for 2.12.

2012-05-31  Simon Josefsson <simon@josefsson.org>

	* cfg.mk, windows/libtasn14win.mk: Fix release targets.

2012-05-31  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 2.13.

2012-05-31  Simon Josefsson <simon@josefsson.org>

	* configure.ac, lib/libtasn1.h: Bump versions.

2012-05-31  Simon Josefsson <simon@josefsson.org>

	* cfg.mk, doc/gendocs_template,
	gl/override/doc/gendocs_template.diff: Use devhelp2 format.

2012-05-31  Simon Josefsson <simon@josefsson.org>

	* ChangeLog, cfg.mk: Don't store ChangeLog in git, it is
	auto-generated.

2012-05-31  Simon Josefsson <simon@josefsson.org>

	* lib/decoding.c, lib/gstr.c: Fix syntax-check warnings.

2012-05-31  Simon Josefsson <simon@josefsson.org>

	* build-aux/snippet/_Noreturn.h, gl/Makefile.am, gl/fstat.c,
	gl/ftello.c, gl/lseek.c, gl/m4/fseeko.m4, gl/m4/fstat.m4,
	gl/m4/ftello.m4, gl/m4/gnulib-common.m4, gl/m4/gnulib-comp.m4,
	gl/m4/largefile.m4, gl/m4/lseek.m4, gl/m4/malloc.m4,
	gl/m4/manywarnings.m4, gl/m4/off_t.m4, gl/m4/realloc.m4,
	gl/m4/stdio_h.m4, gl/m4/sys_stat_h.m4, gl/m4/sys_types_h.m4,
	gl/m4/unistd_h.m4, gl/m4/warn-on-use.m4, gl/m4/warnings.m4,
	gl/stdint.in.h, gl/stdio.in.h, gl/stdlib.in.h, gl/sys_stat.in.h,
	gl/sys_types.in.h, gl/unistd.in.h, lib/gllib/stdint.in.h,
	lib/gllib/string.in.h, lib/glm4/gnulib-common.m4,
	lib/glm4/warn-on-use.m4, maint.mk: Update gnulib files.

2012-05-31  Simon Josefsson <simon@josefsson.org>

	* lib/decoding.c: Silence compiler warnings about unsigned vs signed
	comparisons.

2012-04-19  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: documented fix.

2012-04-06  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/decoding.c, lib/libtasn1.h: long is always signed.

2012-04-01  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/decoding.c: Simplified the overflow tests by using unsigned
	int numbers, suggested by Niels Moeller.

2012-03-31  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* tests/Test_overflow.c: Added additional test case

2012-03-31  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/decoding.c, tests/Test_overflow.c: Added overflow
	detection that does not depend on specific compiler, and
	asn1_get_der_length() verifies the length of the input data in small
	numbers as well.

2012-03-19  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2012-03-19  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 2.12.

2012-03-19  Simon Josefsson <simon@josefsson.org>

	* examples/CertificateExample.c, lib/coding.c, lib/decoding.c,
	lib/errors.c, lib/int.h, lib/parser_aux.c, lib/version.c,
	src/asn1Coding.c, src/asn1Decoding.c, src/asn1Parser.c,
	tests/Test_overflow.c, tests/Test_simple.c: Indent code.

2012-03-19  Simon Josefsson <simon@josefsson.org>

	* build-aux/gnupload, maint.mk: Update gnulib files.

2012-03-14  Simon Josefsson <simon@josefsson.org>

	* THANKS: Give credit.

2012-03-14  Simon Josefsson <simon@josefsson.org>

	* NEWS: Mention severity.

2012-03-14  Simon Josefsson <simon@josefsson.org>

	* .gitignore, lib/coding.c, lib/decoding.c, lib/libtasn1.h,
	tests/Test_overflow.c: Simplify overflow check.

2012-03-13  Simon Josefsson <simon@josefsson.org>

	* NEWS, tests/Makefile.am, tests/Test_overflow.c: Add self-check.

2012-03-13  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/decoding.c: for some reason the tot < 0 test wasn't successful
	on negative results. Replaced with tot < ret.

2012-03-13  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: the change was reverted

2012-03-13  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac: reverted to the old ABI.

2012-03-13  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/coding.c, lib/decoding.c, lib/libtasn1.h: reverted to the old
	ABI.

2012-03-13  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS: documented fix

2012-03-13  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/decoding.c: check for overflows

2012-03-13  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/decoding.c, lib/libtasn1.h: int is signed.

2012-03-13  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* configure.ac: bumped shared lib version

2012-03-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/decoding.c: Added asn1_get_length_der_checked() to put some of
	the common checks in a single function.

2012-03-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/decoding.c: cleanups in asn1_der_decoding_element().

2012-03-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* NEWS, lib/coding.c, lib/decoding.c, lib/libtasn1.h: API is based
	on integers instead of long to prevent errors in systems where
	sizeof(int)!=sizeof(long)

2012-03-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/decoding.c: asn1_get_length_der() may handle up to signed long
	values.

2012-03-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/ASN1.c: updated to bison 2.5

2012-03-04  Nikos Mavrogiannopoulos <nmav@gnutls.org>

	* lib/decoding.c: better cleanup in decoding.

2012-03-09  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2012-03-07  Simon Josefsson <simon@josefsson.org>

	* GNUmakefile, NEWS, build-aux/update-copyright, gl/errno.in.h,
	gl/gettext.h, gl/lseek.c, gl/malloc.c, gl/msvc-inval.c,
	gl/msvc-inval.h, gl/msvc-nothrow.c, gl/msvc-nothrow.h,
	gl/read-file.c, gl/read-file.h, gl/stdarg.in.h, gl/stddef.in.h,
	gl/stdint.in.h, gl/stdio-impl.h, gl/stdio.in.h, gl/sys_stat.in.h,
	gl/time.in.h, gl/unistd.in.h, gl/version-etc.h,
	lib/gllib/stddef.in.h, lib/gllib/stdint.in.h,
	lib/gllib/string.in.h, lib/gllib/strverscmp.c, maint.mk: Update
	gnulib files.

2012-01-23  Simon Josefsson <simon@josefsson.org>

	* .clcopying, AUTHORS, Makefile.am, NEWS, README, README-alpha,
	THANKS, cfg.mk, configure.ac, doc/Makefile.am, doc/TODO,
	doc/cyclo/Makefile.am, doc/libtasn1.texi,
	examples/CertificateExample.c, examples/CrlExample.c,
	examples/Makefile.am, examples/asn1Coding_test.asn,
	examples/pkix.asn, lib/ASN1.y, lib/Makefile.am, lib/coding.c,
	lib/decoding.c, lib/element.c, lib/element.h, lib/errors.c,
	lib/gstr.c, lib/gstr.h, lib/int.h, lib/libtasn1.h,
	lib/libtasn1.map, lib/libtasn1.pc.in, lib/parser_aux.c,
	lib/parser_aux.h, lib/structure.c, lib/structure.h, lib/version.c,
	m4/update-header-version.m4, src/Makefile.am, src/asn1Coding.c,
	src/asn1Decoding.c, src/asn1Parser.c, tests/Makefile.am,
	tests/Test_encoding.asn, tests/Test_encoding.c,
	tests/Test_errors.c, tests/Test_indefinite.c,
	tests/Test_parser.asn, tests/Test_parser.c, tests/Test_simple.c,
	tests/Test_tree.asn, tests/Test_tree.c, tests/crlf, tests/pkix.asn,
	tests/threadsafety: Bump copyright years.

2012-01-23  Simon Josefsson <simon@josefsson.org>

	* GNUmakefile, build-aux/gnupload, build-aux/pmccabe.css,
	build-aux/pmccabe2html, build-aux/snippet/arg-nonnull.h,
	build-aux/snippet/c++defs.h, build-aux/snippet/warn-on-use.h,
	build-aux/update-copyright, build-aux/useless-if-before-free,
	build-aux/vc-list-files, doc/fdl-1.3.texi, doc/gendocs_template,
	gl/Makefile.am, gl/errno.in.h, gl/fstat.c, gl/ftell.c, gl/ftello.c,
	gl/getopt.c, gl/getopt.in.h, gl/getopt1.c, gl/getopt_int.h,
	gl/gettext.h, gl/lseek.c, gl/m4/00gnulib.m4, gl/m4/autobuild.m4,
	gl/m4/errno_h.m4, gl/m4/extensions.m4, gl/m4/fseeko.m4,
	gl/m4/fstat.m4, gl/m4/ftell.m4, gl/m4/ftello.m4, gl/m4/getopt.m4,
	gl/m4/gnulib-cache.m4, gl/m4/gnulib-common.m4,
	gl/m4/gnulib-comp.m4, gl/m4/gnulib-tool.m4, gl/m4/include_next.m4,
	gl/m4/largefile.m4, gl/m4/longlong.m4, gl/m4/lseek.m4,
	gl/m4/malloc.m4, gl/m4/manywarnings.m4, gl/m4/msvc-inval.m4,
	gl/m4/msvc-nothrow.m4, gl/m4/multiarch.m4, gl/m4/nocrash.m4,
	gl/m4/read-file.m4, gl/m4/realloc.m4, gl/m4/ssize_t.m4,
	gl/m4/stdarg.m4, gl/m4/stddef_h.m4, gl/m4/stdint.m4,
	gl/m4/stdio_h.m4, gl/m4/stdlib_h.m4, gl/m4/sys_stat_h.m4,
	gl/m4/time_h.m4, gl/m4/unistd_h.m4, gl/m4/valgrind-tests.m4,
	gl/m4/version-etc.m4, gl/m4/warn-on-use.m4, gl/m4/warnings.m4,
	gl/m4/wchar_t.m4, gl/malloc.c, gl/msvc-inval.c, gl/msvc-inval.h,
	gl/msvc-nothrow.c, gl/msvc-nothrow.h, gl/progname.c, gl/progname.h,
	gl/read-file.c, gl/read-file.h, gl/realloc.c, gl/stdarg.in.h,
	gl/stddef.in.h, gl/stdint.in.h, gl/stdio-impl.h, gl/stdio.in.h,
	gl/stdlib.in.h, gl/sys_stat.in.h, gl/time.in.h, gl/unistd.in.h,
	gl/version-etc-fsf.c, gl/version-etc.c, gl/version-etc.h,
	lib/gllib/Makefile.am, lib/gllib/dummy.c, lib/gllib/stddef.in.h,
	lib/gllib/stdint.in.h, lib/gllib/string.in.h,
	lib/gllib/strverscmp.c, lib/glm4/00gnulib.m4,
	lib/glm4/extensions.m4, lib/glm4/gnulib-cache.m4,
	lib/glm4/gnulib-common.m4, lib/glm4/gnulib-comp.m4,
	lib/glm4/gnulib-tool.m4, lib/glm4/include_next.m4,
	lib/glm4/ld-version-script.m4, lib/glm4/longlong.m4,
	lib/glm4/multiarch.m4, lib/glm4/stddef_h.m4, lib/glm4/stdint.m4,
	lib/glm4/string_h.m4, lib/glm4/strverscmp.m4,
	lib/glm4/visibility.m4, lib/glm4/warn-on-use.m4,
	lib/glm4/wchar_t.m4, maint.mk: Update gnulib files.

2011-12-06  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/getopt.m4, gl/m4/gnulib-comp.m4,
	gl/m4/manywarnings.m4, gl/m4/unistd_h.m4, gl/unistd.in.h, maint.mk: 
	Update gnulib files.

2011-12-06  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Drop unnecessary configure.ac checks.

2011-12-06  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/libtasn1.h: Bump versions.

2011-11-25  Simon Josefsson <simon@josefsson.org>

	* doc/announce.txt: Update for 2.11.

2011-11-25  Simon Josefsson <simon@josefsson.org>

	* doc/announce.txt: Update for 2.10.

2011-11-25  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Generated.

2011-11-25  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 2.11.

2011-11-25  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2011-11-25  Simon Josefsson <simon@josefsson.org>

	* gl/m4/gnulib-common.m4, gl/m4/valgrind-tests.m4,
	gl/override/m4/valgrind-tests.m4.diff, lib/glm4/gnulib-common.m4: 
	Fix valgrind check.

2011-11-21  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Generalize gnupload command.

2011-11-21  Simon Josefsson <simon@josefsson.org>

	* doc/cyclo/Makefile.am: Generalize cyclo rules.

2011-11-21  Simon Josefsson <simon@josefsson.org>

	* .gitignore, cfg.mk: Make Windows build part of release process.

2011-11-21  Simon Josefsson <simon@josefsson.org>

	* NEWS: Reorder.

2011-11-21  Simon Josefsson <simon@josefsson.org>

	* doc/reference/Makefile.am: Fix srcdir!=builddir gtk-doc build.

2011-11-21  Simon Josefsson <simon@josefsson.org>

	* cfg.mk: Fix syntax-check.

2011-11-20  Simon Josefsson <simon@josefsson.org>

	* .gitignore, build-aux/gnupload, cfg.mk, gl/Makefile.am,
	gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4: Improve release rules.

2011-11-20  Simon Josefsson <simon@josefsson.org>

	* doc/cyclo/Makefile.am: Fix links in output.

2011-11-20  Simon Josefsson <simon@josefsson.org>

	* gl/m4/manywarnings.m4: Update gnulib files.

2011-11-20  Simon Josefsson <simon@josefsson.org>

	* configure.ac, gl/m4/manywarnings.m4: Update manywarnings again.

2011-11-20  Simon Josefsson <simon@josefsson.org>

	* gl/m4/manywarnings.m4: Update gnulib files.

2011-11-20  Simon Josefsson <simon@josefsson.org>

	* m4/gtk-doc.m4: Remove unnecessary (?) dependency on glib/gobject.

2011-11-20  Simon Josefsson <simon@josefsson.org>

	* .gitignore, cfg.mk, configure.ac, doc/reference/Makefile.am,
	doc/reference/libtasn1-docs.sgml, doc/reference/version.xml.in,
	gtk-doc.make, m4/gtk-doc.m4: Update GTK-DOC infrastructure.

2011-11-20  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, lib/coding.c, lib/decoding.c, lib/element.c,
	lib/element.h, lib/int.h, lib/parser_aux.c, lib/structure.c,
	tests/Makefile.am, tests/Test_errors.c, tests/Test_indefinite.c,
	tests/Test_parser.c, tests/Test_simple.c, tests/Test_tree.c: Silence
	warnings.

2011-11-19  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Use silent rules.  Drop unneeded check for perl
	path.

2011-11-19  Simon Josefsson <simon@josefsson.org>

	* maint.mk: Update gnulib files.

2011-11-19  Simon Josefsson <simon@josefsson.org>

	* NEWS, doc/gdoc: build: Don't hard code path to perl in doc/gdoc.

2011-11-14  Simon Josefsson <simon@josefsson.org>

	* tests/Test_tree.c: Add const keyword.

2011-11-14  Simon Josefsson <simon@josefsson.org>

	* examples/CertificateExample.c, examples/CrlExample.c: Silence some
	warnings.

2011-11-14  Simon Josefsson <simon@josefsson.org>

	* tests/Test_simple.c: Cleanup and add some more test vectors.

2011-11-14  Simon Josefsson <simon@josefsson.org>
